#!/bin/sh

# \
  if (test -z "$WISH"); then export WISH=wish; fi
# \
  exec "$WISH" "$0" -name wish ${1+"$@"}

# ==================================================================== #

# popup/examples/splash.tcl --

# An example of a very basic splash screen using the popup widget

# Version   : 0.0.1
# Author    : Mark G. Saye
# Email     : markgsaye@yahoo.com
# Copyright : Copyright (C) 2004
# Date      : March 17, 2004

# See the file "LICENSE.txt" or "LICENSE.html" for information on usage
# and distribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.

# ==================================================================== #

  package require popup
  namespace import ::popup::popup
  set sw [winfo screenwidth  .]
  set sh [winfo screenheight .]
  set w 300
  set h 200
  set popup [popup .popup -grab "" -borderwidth 1 -relief solid \
    -width $w -height $h]
  canvas $popup.canvas -bg white
  button $popup.canvas.ok -text OK
  $popup.canvas create window [expr {$w-10}] [expr {$h-10}] \
    -anchor se \
    -window $popup.canvas.ok
  $popup.canvas create text [expr {$w/2}] [expr {$h/2}] \
    -fill red \
    -font {Helvetica 20 italic} \
    -text "Popup Splash Window"
  pack propagate $popup 1
  pack $popup.canvas -expand 1 -fill both
  set X [expr {($sw - $w) / 2}]
  set Y [expr {($sh - $h) / 2}]
  $popup post $X $Y
  set after [after 5000 "[list $popup unmap] ; exit"]
  $popup.canvas.ok configure -command \
    "[list after cancel $after] ; [list destroy $popup]"

# ==================================================================== #

