#!/bin/sh

# \
  if (test -z "$WISH"); then export WISH=wish; fi
# \
  exec "$WISH" "$0" -name wish ${1+"$@"}

# ==================================================================== #

# popup/examples/volumne.tcl --

# An example of a basic volume control using snack and a popup widget

# Version   : 0.0.1
# Author    : Mark G. Saye
# Email     : markgsaye@yahoo.com
# Copyright : Copyright (C) 2004
# Date      : March 17, 2004

# See the file "LICENSE.txt" or "LICENSE.html" for information on usage
# and distribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.

# ==================================================================== #

  namespace eval test {}

# ==================================================================== #

proc popvolume {P X Y} {

  puts "proc popvolume \[$P\] \[$X\] \[$Y\]"

  wm geometry $P +${X}+${Y}
  update idletasks

# ewidgets::popup::map $p -x $X -y $Y
# $P map -x $X -y $Y
  $P map

# focus $p.scale

  return -code break

}

# ==================================================================== #

proc setvol {args} {
  puts "proc setvol \[$args\]"
}

# ==================================================================== #

proc test::init {} {

  package require Tk
  package require popup
  package require snack

  namespace import ::popup::popup

}

# ==================================================================== #

proc Update {} {
  snack::mixer update
}

proc test::main {args} {

  wm withdraw .

  set W {.test window}
  toplevel $W

  pack propagate $W 0

# -------------------------------------------------------------------- #

  set P $W.popup
  popup $P \
    -cursor left_ptr \
    -relief raised -bd 5 \
    -focus $P.close

  snack::mixer volume Vol volume volume

  label $P.title -text "Volume"
  scale $P.scale \
    -orient vertical \
    -variable volume \
    -from 100 -to 0 \
    -resolution 1 \
    -width 10 \
    -sliderlength 20 \
    -showvalue 1 \
    -takefocus 1 \
    -highlightthickness 1
#   -command [list setvol]

# snack::mixer update

  bind $P <Configure> Update

  button $P.close -text Close -default active -command [list $P unmap]

  pack $P.title -side top    -expand 0 -fill none
  pack $P.scale -side top    -expand 0 -fill none -padx 5 -pady 5
  pack $P.close -side bottom -expand 0 -fill none -anchor se

# set _(popup,volume) $p.scale

# -------------------------------------------------------------------- #

  set b $W.button
  button $b -text "Volume"
# -command "popup::map $p"
  pack $b -side top -expand 0 -fill x -padx 20 -pady 20

# bind $b <ButtonPress-1> "popvolume $b $p %X %Y ; break"
  bind $b <ButtonPress-1> [list popvolume $P %X %Y]
# $b configure -command "popvolume $P %X %Y ; break"

# bind $b <ButtonPress-1> \
#   "event generate %W <Leave> ; popup::map $p \
#     -x \[winfo rootx %W\] \
#     -y \[expr \[winfo rooty %W\] + \[winfo height %W\]\] \
#     -width \[winfo width %W\] ; break"

  button $W.exit -text Exit -default active -command exit
  pack   $W.exit -side bottom -expand 0 -fill none -anchor se

# -------------------------------------------------------------------- #

  return

}

# ==================================================================== #

  if { [info exists argv0] && [string equal [info script] $argv0] } {
    uplevel #0 source $::tcl_rcFileName
    test::init
    eval [linsert $argv 0 test::main]
  } else {
    test::init
  }

# ==================================================================== #

